View Issue Details

This bug affects 1 person(s).
 2
IDProjectCategoryView StatusLast Update
18188Bug reportsStatisticspublic2022-07-15 23:43
Reporteryoursql719 Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionunable to reproduce 
Product Version5.3.x 
Summary18188: Select all questions at statistics not working
Description

Hi,

when I hit "Select all questions" at a surveys statistics no question group nor question is selected. I had to select manually all question groups. Could be that this javascript is related:
Uncaught ReferenceError: Chart is not defined
at Object.LS.Statistics2 (statistics.js:229:5)
at HTMLDocument.<anonymous> (statistics.js:822:8)
at HTMLDocument.dispatch (jquery-3.5.1.min.js:2:43090)
at HTMLDocument.v.handle (jquery-3.5.1.min.js:2:41074)
at pjax.combined.min.js:1:5175
at a (pjax.combined.min.js:1:1332)
at pjax.combined.min.js:1:5072
at Array.forEach (<anonymous>)
at d (pjax.combined.min.js:1:4924)
at pjax.combined.min.js:1:24015

Steps To Reproduce

Create a survey
Get answers
Click on Statistics
Select "Select all questions"

TagsNo tags attached.
Bug heat2
Complete LimeSurvey version number (& build)5.3.19+220607
I will donate to the project if issue is resolvedNo
BrowserChrome
Database type & versionMariaDB 10.6.8
Server OS (if known)Debian 11
Webserver software & version (if known)
PHP Version7.4.29

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

gabrieljenik

gabrieljenik

2022-06-13 16:10

manager   ~70346

Will try to reproduce it

gabrieljenik

gabrieljenik

2022-06-16 17:34

manager   ~70395

Last edited: 2022-06-16 17:36

We couldn't reproduce it.
Are these the steps you are following?
https://drive.google.com/file/d/1ZhAaCIzCAiZnVjnKXtXQlUYX7Q9udRjO/view?usp=sharing
Thanks!

gabrieljenik

gabrieljenik

2022-07-15 23:43

manager   ~70978

Hello yoursql719,
I checked this with the latest version and could not reproduce, so this is most likely fixed for good.
Therefore, I am closing this issue. If you still can reproduce the issue using the latest version, please feel free to re-open the issue.
Thank you!

gabrieljenik

Issue History

Date Modified Username Field Change
2022-06-10 09:06 yoursql719 New Issue
2022-06-13 16:10 gabrieljenik Assigned To => gabrieljenik
2022-06-13 16:10 gabrieljenik Status new => acknowledged
2022-06-13 16:10 gabrieljenik Note Added: 70346
2022-06-13 16:10 gabrieljenik Bug heat 0 => 2
2022-06-16 17:34 gabrieljenik Status acknowledged => feedback
2022-06-16 17:34 gabrieljenik Note Added: 70395
2022-06-16 17:36 gabrieljenik Note Edited: 70395
2022-07-15 23:43 gabrieljenik Status feedback => closed
2022-07-15 23:43 gabrieljenik Resolution open => unable to reproduce
2022-07-15 23:43 gabrieljenik Note Added: 70978